Bug 374462 - Kmail crash when moving a folder between two maildir ressources
Summary: Kmail crash when moving a folder between two maildir ressources
Status: REPORTED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.5.2
Platform: Gentoo Packages Linux
: NOR crash with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 354219 355949 356979 357174 358851 358927 360486 365303 365364 367560 369440 373145 378645 383077 383525 386692 387318 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-01-02 14:11 UTC by Vincent de Phily
Modified: 2020-12-17 16:20 UTC (History)
14 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (22.83 KB, text/plain)
2018-02-14 20:32 UTC, SoundFred
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent de Phily 2017-01-02 14:11:06 UTC
Application: kmail (5.4.0)

Qt Version: 5.7.1
Frameworks Version: 5.29.0
Operating System: Linux 4.8.15-hardened x86_64
Distribution: "NAME=Gentoo"

-- Information about the crash:
- What I was doing when the application crashed:
Moved (via the mouse) a folder from one local maildir to another.

This is after a kmail upgrade, having backed up and restored the maildirs and trying to cleanup the resulting mess of multiple maildirs all called "Local folders" at the UI level. There may have been other concurent "folder update" operations.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f5fd0d14800 (LWP 5581))]

Thread 21 (Thread 0x7f5fc7b6b700 (LWP 5583)):
#0  g_main_context_prepare (context=context@entry=0x7f5fc0000990, priority=priority@entry=0x7f5fc7b6ac20) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3426
#1  0x00007f5ffef47fa0 in g_main_context_iterate (context=context@entry=0x7f5fc0000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3820
#2  0x00007f5ffef481db in g_main_context_iteration (context=0x7f5fc0000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3901
#3  0x00007f600b0c4dcc in QEventDispatcherGlib::processEvents (this=0x7f5fc00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007f600b06087a in QEventLoop::exec (this=this@entry=0x7f5fc7b6ad80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f600ae64283 in QThread::exec (this=this@entry=0x7f600d3f42c0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:507
#6  0x00007f600d36c8d3 in QDBusConnectionManager::run (this=0x7f600d3f42c0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#7  0x00007f600ae6ae2c in QThreadPrivate::start (arg=0x7f600d3f42c0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:368
#8  0x00007f6000b68560 in start_thread (arg=0x7f5fc7b6b700) at pthread_create.c:334
#9  0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 20 (Thread 0x7f5fc695a700 (LWP 5584)):
#0  0x00007f600a55a7cd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5ffef48074 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f5fb8002e70, timeout=9796, context=0x7f5fb8000990) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:4135
#2  g_main_context_iterate (context=context@entry=0x7f5fb8000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3835
#3  0x00007f5ffef481db in g_main_context_iteration (context=0x7f5fb8000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3901
#4  0x00007f600b0c4dcc in QEventDispatcherGlib::processEvents (this=0x7f5fb80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f600b06087a in QEventLoop::exec (this=this@entry=0x7f5fc6959dc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f600ae64283 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f600ae6ae2c in QThreadPrivate::start (arg=0x5636951d69b0) at thread/qthread_unix.cpp:368
#8  0x00007f6000b68560 in start_thread (arg=0x7f5fc695a700) at pthread_create.c:334
#9  0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 19 (Thread 0x7f5fc6159700 (LWP 5585)):
#0  g_main_context_prepare (context=context@entry=0x7f5fbc000990, priority=priority@entry=0x7f5fc6158c60) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3453
#1  0x00007f5ffef47fa0 in g_main_context_iterate (context=context@entry=0x7f5fbc000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3820
#2  0x00007f5ffef481db in g_main_context_iteration (context=0x7f5fbc000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3901
#3  0x00007f600b0c4dcc in QEventDispatcherGlib::processEvents (this=0x7f5fbc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007f600b06087a in QEventLoop::exec (this=this@entry=0x7f5fc6158dc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f600ae64283 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#6  0x00007f600ae6ae2c in QThreadPrivate::start (arg=0x563695272b20) at thread/qthread_unix.cpp:368
#7  0x00007f6000b68560 in start_thread (arg=0x7f5fc6159700) at pthread_create.c:334
#8  0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 18 (Thread 0x7f5fc5958700 (LWP 5586)):
#0  0x00007f5ffef4420d in g_source_iter_next (iter=iter@entry=0x7f5fc5957be0, source=source@entry=0x7f5fc5957bd8) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:953
#1  0x00007f5ffef474fb in g_main_context_prepare (context=context@entry=0x7f5fb0000990, priority=priority@entry=0x7f5fc5957c60) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3420
#2  0x00007f5ffef47fa0 in g_main_context_iterate (context=context@entry=0x7f5fb0000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3820
#3  0x00007f5ffef481db in g_main_context_iteration (context=0x7f5fb0000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3901
#4  0x00007f600b0c4dcc in QEventDispatcherGlib::processEvents (this=0x7f5fb00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f600b06087a in QEventLoop::exec (this=this@entry=0x7f5fc5957dc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f600ae64283 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f600ae6ae2c in QThreadPrivate::start (arg=0x5636951ebaa0) at thread/qthread_unix.cpp:368
#8  0x00007f6000b68560 in start_thread (arg=0x7f5fc5958700) at pthread_create.c:334
#9  0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7f5fb4af5700 (LWP 5597)):
#0  __mempcpy_sse2 () at ../sysdeps/x86_64/memcpy.S:96
#1  0x00007f600a4a2be7 in __dcigettext (domainname=0x7f600a5e02d1 <_libc_intl_domainname> "libc", msgid1=0x7f600a5e0777 "Bad file descriptor", msgid2=msgid2@entry=0x0, plural=plural@entry=0, n=n@entry=0, category=category@entry=5) at dcigettext.c:675
#2  0x00007f600a4a16bf in __GI___dcgettext (domainname=<optimized out>, msgid=<optimized out>, category=category@entry=5) at dcgettext.c:47
#3  0x00007f600a4f97cd in __GI___strerror_r (errnum=errnum@entry=9, buf=buf@entry=0x0, buflen=buflen@entry=0) at _strerror.c:71
#4  0x00007f600a4f96f2 in strerror (errnum=9) at strerror.c:32
#5  0x00007f5fe3d8a415 in event_warn (fmt=fmt@entry=0x7f5fe3da7e2a "epoll_wait") at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:101
#6  0x00007f5fe3d8f938 in epoll_dispatch (base=0x7f5fa80019c0, tv=<optimized out>) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/epoll.c:413
#7  0x00007f5fe3d757c8 in event_base_loop (base=0x7f5fa80019c0, flags=1) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/event.c:1625
#8  0x00007f5ff27574b9 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5ff2795318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f5ff27b6518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f5ff2791e0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f5ff27dd78a in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f6000b68560 in start_thread (arg=0x7f5fb4af5700) at pthread_create.c:334
#15 0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7f5fa3fff700 (LWP 5598)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5ff27ca702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f5ff27cbcb9 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f5ff27cbdc5 in base::WaitableEvent::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f5ff27984c1 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5ff2795318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5ff27b6518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5ff2791e0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5ff27dd78a in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f6000b68560 in start_thread (arg=0x7f5fa3fff700) at pthread_create.c:334
#11 0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7f5fa27fc700 (LWP 5601)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5ff27ca702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f5ff27cbcb9 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f5ff27cbdc5 in base::WaitableEvent::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f5ff27984c1 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5ff2795318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5ff27b6518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5ff2791e0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5ff1495dc1 in content::BrowserThreadImpl::DBThreadRun(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5ff14961cb in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f5ff27dd910 in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f6000b68560 in start_thread (arg=0x7f5fa27fc700) at pthread_create.c:334
#13 0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7f5fa1ffb700 (LWP 5602)):
#0  0x00007f600a55669d in write () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f600a4eb6d7 in _IO_new_file_write (f=0x7f600a8165c0 <_IO_2_1_stderr_>, data=0x7f5fa1ff7840, n=39) at fileops.c:1263
#2  0x00007f600a4eaca6 in new_do_write (fp=fp@entry=0x7f600a8165c0 <_IO_2_1_stderr_>, data=data@entry=0x7f5fa1ff7840 "[warn] epoll_wait: Bad file descriptor\n", to_do=to_do@entry=39) at fileops.c:518
#3  0x00007f600a4ebd46 in _IO_new_file_xsputn (f=0x7f600a8165c0 <_IO_2_1_stderr_>, data=<optimized out>, n=39) at fileops.c:1342
#4  0x00007f600a4bf1cf in buffered_vfprintf (s=0x7f600a8165c0 <_IO_2_1_stderr_>, format=<optimized out>, args=<optimized out>) at vfprintf.c:2367
#5  0x00007f600a4bc325 in _IO_vfprintf_internal (s=s@entry=0x7f600a8165c0 <_IO_2_1_stderr_>, format=format@entry=0x7f5fe3da7531 "[%s] %s\n", ap=ap@entry=0x7f5fa1ff9df8) at vfprintf.c:1292
#6  0x00007f600a572d97 in ___fprintf_chk (fp=0x7f600a8165c0 <_IO_2_1_stderr_>, flag=flag@entry=1, format=format@entry=0x7f5fe3da7531 "[%s] %s\n") at fprintf_chk.c:35
#7  0x00007f5fe3d8a1af in fprintf (__fmt=0x7f5fe3da7531 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:97
#8  event_log (msg=0x7f5fa1ff9ee0 "epoll_wait: Bad file descriptor", severity=2) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:222
#9  _warn_helper (severity=severity@entry=2, errstr=0x7f600a5e0777 "Bad file descriptor", fmt=fmt@entry=0x7f5fe3da7e2a "epoll_wait", ap=ap@entry=0x7f5fa1ffa310) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:187
#10 0x00007f5fe3d8a428 in event_warn (fmt=fmt@entry=0x7f5fe3da7e2a "epoll_wait") at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:101
#11 0x00007f5fe3d8f938 in epoll_dispatch (base=0x7f5f840019c0, tv=<optimized out>) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/epoll.c:413
#12 0x00007f5fe3d757c8 in event_base_loop (base=0x7f5f840019c0, flags=2) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/event.c:1625
#13 0x00007f5ff275742e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f5ff2795318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f5ff27b6518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007f5ff2791e0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#17 0x00007f5ff1495e51 in content::BrowserThreadImpl::FileThreadRun(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#18 0x00007f5ff14961db in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#19 0x00007f5ff27dd910 in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#20 0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#21 0x00007f6000b68560 in start_thread (arg=0x7f5fa1ffb700) at pthread_create.c:334
#22 0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7f5fa17fa700 (LWP 5603)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5ff27ca702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f5ff27cbcb9 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f5ff27cbdc5 in base::WaitableEvent::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f5ff27984c1 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5ff2795318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5ff27b6518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5ff2791e0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5ff1495ee1 in content::BrowserThreadImpl::FileUserBlockingThreadRun(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5ff14961eb in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f5ff27dd910 in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f6000b68560 in start_thread (arg=0x7f5fa17fa700) at pthread_create.c:334
#13 0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7f5fa0ff9700 (LWP 5604)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5ff27ca702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f5ff27cbcb9 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f5ff27cbdc5 in base::WaitableEvent::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f5ff27984c1 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5ff2795318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5ff27b6518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5ff2791e0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5ff1495f71 in content::BrowserThreadImpl::ProcessLauncherThreadRun(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5ff14961fb in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f5ff27dd910 in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f6000b68560 in start_thread (arg=0x7f5fa0ff9700) at pthread_create.c:334
#13 0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7f5f83fff700 (LWP 5605)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007f600a572d3a in ___fprintf_chk (fp=0x7f600a8178e0 <_IO_stdfile_2_lock>, flag=flag@entry=1, format=format@entry=0x7f5fe3da7531 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f5fe3d8a1af in fprintf (__fmt=0x7f5fe3da7531 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:97
#3  event_log (msg=0x7f5f83ffdee0 "epoll_wait: Bad file descriptor", severity=2) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:222
#4  _warn_helper (severity=severity@entry=2, errstr=0x7f600a5e0777 "Bad file descriptor", fmt=fmt@entry=0x7f5fe3da7e2a "epoll_wait", ap=ap@entry=0x7f5f83ffe310) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:187
#5  0x00007f5fe3d8a428 in event_warn (fmt=fmt@entry=0x7f5fe3da7e2a "epoll_wait") at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:101
#6  0x00007f5fe3d8f938 in epoll_dispatch (base=0x7f5f880019c0, tv=<optimized out>) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/epoll.c:413
#7  0x00007f5fe3d757c8 in event_base_loop (base=0x7f5f880019c0, flags=1) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/event.c:1625
#8  0x00007f5ff27574b9 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5ff2795318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f5ff27b6518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f5ff2791e0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f5ff1496001 in content::BrowserThreadImpl::CacheThreadRun(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f5ff149620b in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f5ff27dd910 in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007f6000b68560 in start_thread (arg=0x7f5f83fff700) at pthread_create.c:334
#17 0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7f5f837fe700 (LWP 5606)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007f600a572d3a in ___fprintf_chk (fp=0x7f600a8178e0 <_IO_stdfile_2_lock>, flag=flag@entry=1, format=format@entry=0x7f5fe3da7531 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f5fe3d8a1af in fprintf (__fmt=0x7f5fe3da7531 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:97
#3  event_log (msg=0x7f5f837fcee0 "epoll_wait: Bad file descriptor", severity=2) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:222
#4  _warn_helper (severity=severity@entry=2, errstr=0x7f600a5e0777 "Bad file descriptor", fmt=fmt@entry=0x7f5fe3da7e2a "epoll_wait", ap=ap@entry=0x7f5f837fd310) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:187
#5  0x00007f5fe3d8a428 in event_warn (fmt=fmt@entry=0x7f5fe3da7e2a "epoll_wait") at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:101
#6  0x00007f5fe3d8f938 in epoll_dispatch (base=0x7f5f740019b0, tv=<optimized out>) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/epoll.c:413
#7  0x00007f5fe3d757c8 in event_base_loop (base=0x7f5f740019b0, flags=2) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/event.c:1625
#8  0x00007f5ff275742e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5ff2795318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f5ff27b6518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f5ff2791e0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f5ff1496091 in content::BrowserThreadImpl::IOThreadRun(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f5ff14961ab in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f5ff27dd910 in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007f6000b68560 in start_thread (arg=0x7f5f837fe700) at pthread_create.c:334
#17 0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7f5f7bfff700 (LWP 5607)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5ff27ca702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f5ff27cbcb9 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f5ff27cbdc5 in base::WaitableEvent::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f5ff27984c1 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5ff2795318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5ff27b6518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5ff2791e0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5ff27dd78a in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f6000b68560 in start_thread (arg=0x7f5f7bfff700) at pthread_create.c:334
#11 0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7f5f82ffd700 (LWP 5608)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5ff27ca702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f5ff19dd86d in cc::SingleThreadTaskGraphRunner::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f5ff27db909 in base::DelegateSimpleThread::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f5ff27db87f in base::SimpleThread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f6000b68560 in start_thread (arg=0x7f5f82ffd700) at pthread_create.c:334
#7  0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7f5f827fc700 (LWP 5609)):
#0  pthread_cond_timedwait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007f5ff27ca960 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f5ff27cbd81 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f5ff2798552 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f5ff2795318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5ff27b6518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5ff2791e0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5ff27dd78a in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f6000b68560 in start_thread (arg=0x7f5f827fc700) at pthread_create.c:334
#10 0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f5f81ffb700 (LWP 5610)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5ff27ca702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f5ff27da0c5 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f5ff27daac9 in base::SequencedWorkerPool::Worker::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f5ff27db87f in base::SimpleThread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f6000b68560 in start_thread (arg=0x7f5f81ffb700) at pthread_create.c:334
#7  0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7f5f817fa700 (LWP 5611)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5ff27ca702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f5ff21b0298 in mojo::system::Waiter::Wait(unsigned long, unsigned long*) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f5ff21838f1 in mojo::system::Core::WaitManyInternal(unsigned int const*, unsigned int const*, unsigned int, unsigned long, unsigned int*, mojo::system::HandleSignalsState*) () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f5ff2183bba in mojo::system::Core::Wait(unsigned int, unsigned int, unsigned long, mojo::system::UserPointer<MojoHandleSignalsState>) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5ff217d209 in MojoWait () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5ff3d56f97 in mojo::common::MessagePumpMojo::WaitForReadyHandles(mojo::common::MessagePumpMojo::RunState const&) const () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5ff3d591b3 in mojo::common::MessagePumpMojo::DoInternalWork(mojo::common::MessagePumpMojo::RunState const&, bool) () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5ff3d59205 in mojo::common::MessagePumpMojo::DoRunLoop(mojo::common::MessagePumpMojo::RunState*, base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5ff3d59306 in mojo::common::MessagePumpMojo::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f5ff2795318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f5ff27b6518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f5ff2791e0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f5ff27dd78a in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f6000b68560 in start_thread (arg=0x7f5f817fa700) at pthread_create.c:334
#16 0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f5eda8cf700 (LWP 5716)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5ff27ca702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f5ff27da0c5 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f5ff27daac9 in base::SequencedWorkerPool::Worker::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f5ff27db87f in base::SimpleThread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f6000b68560 in start_thread (arg=0x7f5eda8cf700) at pthread_create.c:334
#7  0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f5eda0ce700 (LWP 5717)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5ff27ca702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f5ff27da0c5 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f5ff27daac9 in base::SequencedWorkerPool::Worker::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f5ff27db87f in base::SimpleThread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5ff27d6679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f6000b68560 in start_thread (arg=0x7f5eda0ce700) at pthread_create.c:334
#7  0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f5f62df0700 (LWP 5953)):
#0  __libc_enable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:65
#1  0x00007f600a55a7c2 in poll () at ../sysdeps/unix/syscall-template.S:84
#2  0x00007f5ffef48074 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f5ec4002e20, timeout=-1, context=0x7f5ec4000990) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:4135
#3  g_main_context_iterate (context=context@entry=0x7f5ec4000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3835
#4  0x00007f5ffef481db in g_main_context_iteration (context=0x7f5ec4000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3901
#5  0x00007f600b0c4dcc in QEventDispatcherGlib::processEvents (this=0x7f5ec40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#6  0x00007f600b06087a in QEventLoop::exec (this=this@entry=0x7f5f62defdc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f600ae64283 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#8  0x00007f600ae6ae2c in QThreadPrivate::start (arg=0x563695b472a0) at thread/qthread_unix.cpp:368
#9  0x00007f6000b68560 in start_thread (arg=0x7f5f62df0700) at pthread_create.c:334
#10 0x00007f600a56432d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f5fd0d14800 (LWP 5581)):
[KCrash Handler]
#6  QSortFilterProxyModelPrivate::index_to_iterator (proxy_index=..., this=0x563695282c70) at itemmodels/qsortfilterproxymodel.cpp:193
#7  QSortFilterProxyModel::parent (this=0x563695229d00, child=...) at itemmodels/qsortfilterproxymodel.cpp:1898
#8  0x00007f600b022bc8 in QModelIndex::parent (this=0x7ffd38916c00) at ../../include/QtCore/../../src/corelib/itemmodels/qabstractitemmodel.h:417
#9  QIdentityProxyModel::parent (this=0x56369536dd60, child=...) at itemmodels/qidentityproxymodel.cpp:293
#10 0x00007f600b022bc8 in QModelIndex::parent (this=0x7ffd38916c70) at ../../include/QtCore/../../src/corelib/itemmodels/qabstractitemmodel.h:417
#11 QIdentityProxyModel::parent (this=0x563699195740, child=...) at itemmodels/qidentityproxymodel.cpp:293
#12 0x00007f6003f00a76 in KExtraColumnsProxyModel::parent(QModelIndex const&) const () from /usr/lib64/libKF5ItemModels.so.5
#13 0x00007f600b02dee4 in QModelIndex::parent (this=0x7ffd38916d70) at ../../include/QtCore/../../src/corelib/itemmodels/qabstractitemmodel.h:417
#14 QSortFilterProxyModelPrivate::update_persistent_indexes (this=this@entry=0x5636969db670, source_indexes=...) at itemmodels/qsortfilterproxymodel.cpp:1047
#15 0x00007f600b02e498 in QSortFilterProxyModelPrivate::_q_sourceLayoutChanged (this=0x5636969db670, sourceParents=..., hint=<optimized out>) at itemmodels/qsortfilterproxymodel.cpp:1367
#16 0x00007f600b032ee4 in QSortFilterProxyModel::qt_static_metacall (_o=0x563695b836e0, _c=<optimized out>, _id=10, _a=0x7ffd38916ff0) at .moc/moc_qsortfilterproxymodel.cpp:208
#17 0x00007f600b095b42 in QMetaObject::activate (sender=0x563699195740, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffd38916ff0) at kernel/qobject.cpp:3740
#18 0x00007f600b09661e in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f600b2e73c0 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffd38916ff0) at kernel/qobject.cpp:3602
#19 0x00007f600b120f55 in QAbstractItemModel::layoutChanged (this=<optimized out>, _t1=..., _t2=QAbstractItemModel::NoLayoutChangeHint) at .moc/moc_qabstractitemmodel.cpp:581
#20 0x00007f6003f00201 in ?? () from /usr/lib64/libKF5ItemModels.so.5
#21 0x00007f6003f003b3 in ?? () from /usr/lib64/libKF5ItemModels.so.5
#22 0x00007f600b095b42 in QMetaObject::activate (sender=sender@entry=0x56369536dd60, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffd38917290) at kernel/qobject.cpp:3740
#23 0x00007f600b09661e in QMetaObject::activate (sender=sender@entry=0x56369536dd60, m=m@entry=0x7f600b2e73c0 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffd38917290) at kernel/qobject.cpp:3602
#24 0x00007f600b120f55 in QAbstractItemModel::layoutChanged (this=this@entry=0x56369536dd60, _t1=..., _t2=_t2@entry=QAbstractItemModel::NoLayoutChangeHint) at .moc/moc_qabstractitemmodel.cpp:581
#25 0x00007f600b024817 in QIdentityProxyModelPrivate::_q_sourceLayoutChanged (this=<optimized out>, sourceParents=..., hint=QAbstractItemModel::NoLayoutChangeHint) at itemmodels/qidentityproxymodel.cpp:546
#26 0x00007f600b024e33 in QIdentityProxyModel::qt_static_metacall (_o=0x56369536dd60, _c=<optimized out>, _id=15, _a=0x7ffd389174c0) at .moc/moc_qidentityproxymodel.cpp:164
#27 0x00007f600b095b42 in QMetaObject::activate (sender=sender@entry=0x563695229d00, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffd389174c0) at kernel/qobject.cpp:3740
#28 0x00007f600b09661e in QMetaObject::activate (sender=sender@entry=0x563695229d00, m=m@entry=0x7f600b2e73c0 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffd389174c0) at kernel/qobject.cpp:3602
#29 0x00007f600b120f55 in QAbstractItemModel::layoutChanged (this=this@entry=0x563695229d00, _t1=..., _t2=_t2@entry=QAbstractItemModel::NoLayoutChangeHint) at .moc/moc_qabstractitemmodel.cpp:581
#30 0x00007f600b02e84c in QSortFilterProxyModelPrivate::_q_sourceRowsMoved (this=0x563695282c70, sourceParent=..., destParent=...) at itemmodels/qsortfilterproxymodel.cpp:1472
#31 0x00007f600b032fc5 in QSortFilterProxyModel::qt_static_metacall (_o=0x563695229d00, _c=<optimized out>, _id=16, _a=0x7ffd389176e0) at .moc/moc_qsortfilterproxymodel.cpp:214
#32 0x00007f600b095b42 in QMetaObject::activate (sender=sender@entry=0x5636951e7910, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=20, argv=argv@entry=0x7ffd389176e0) at kernel/qobject.cpp:3740
#33 0x00007f600b09661e in QMetaObject::activate (sender=sender@entry=0x5636951e7910, m=m@entry=0x7f600b2e73c0 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=20, argv=argv@entry=0x7ffd389176e0) at kernel/qobject.cpp:3602
#34 0x00007f600b1215a1 in QAbstractItemModel::rowsMoved (this=this@entry=0x5636951e7910, _t1=..., _t2=_t2@entry=5, _t3=_t3@entry=5, _t4=..., _t5=_t5@entry=0) at .moc/moc_qabstractitemmodel.cpp:670
#35 0x00007f600b008ffb in QAbstractItemModel::endMoveRows (this=this@entry=0x5636951e7910) at itemmodels/qabstractitemmodel.cpp:2895
#36 0x00007f6004545984 in Akonadi::EntityTreeModelPrivate::monitoredCollectionMoved (this=0x563695283270, collection=..., sourceCollection=..., destCollection=...) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/models/entitytreemodel_p.cpp:991
#37 0x00007f600b095b42 in QMetaObject::activate (sender=0x563695263470, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=16, argv=argv@entry=0x7ffd38917a10) at kernel/qobject.cpp:3740
#38 0x00007f600b09661e in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f60047e45c0 <Akonadi::Monitor::staticMetaObject>, local_signal_index=local_signal_index@entry=16, argv=argv@entry=0x7ffd38917a10) at kernel/qobject.cpp:3602
#39 0x00007f600445ddae in Akonadi::Monitor::collectionMoved (this=<optimized out>, _t1=..., _t2=..., _t3=...) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0_build/src/core/moc_monitor.cpp:1010
#40 0x00007f6004466d66 in Akonadi::MonitorPrivate::emitCollectionNotification (this=this@entry=0x563695283d50, msg=..., col=..., par=..., dest=...) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/monitor_p.cpp:1137
#41 0x00007f600446d71c in Akonadi::MonitorPrivate::emitNotification (this=this@entry=0x563695283d50, msg=...) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/monitor_p.cpp:493
#42 0x00007f600440e58d in Akonadi::ChangeRecorderPrivate::emitNotification (this=0x563695283d50, msg=...) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/changerecorder_p.cpp:362
#43 0x00007f600446b4bb in Akonadi::MonitorPrivate::flushPipeline (this=this@entry=0x563695283d50) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/monitor_p.cpp:873
#44 0x00007f600446b76c in Akonadi::MonitorPrivate::dataAvailable (this=0x563695283d50) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/monitor_p.cpp:882
#45 0x00007f600b095b42 in QMetaObject::activate (sender=sender@entry=0x56369528ba90, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3740
#46 0x00007f600b09661e in QMetaObject::activate (sender=sender@entry=0x56369528ba90, m=m@entry=0x7f60047e3bc0 <Akonadi::EntityCacheBase::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3602
#47 0x00007f6004439d67 in Akonadi::EntityCacheBase::dataAvailable (this=this@entry=0x56369528ba90) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0_build/src/core/moc_entitycache_p.cpp:147
#48 0x00007f6004402291 in Akonadi::EntityListCache<Akonadi::Item, Akonadi::ItemFetchJob, Akonadi::ItemFetchScope>::processResult (this=<optimized out>, job=<optimized out>) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/entitycache_p.h:499
#49 0x00007f6004439db3 in Akonadi::EntityCacheBase::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0_build/src/core/moc_entitycache_p.cpp:81
#50 0x00007f600b095b42 in QMetaObject::activate (sender=0x56369885ced0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x7ffd389180c0) at kernel/qobject.cpp:3740
#51 0x00007f600c04caa1 in KJob::result(KJob*, KJob::QPrivateSignal) () from /usr/lib64/libKF5CoreAddons.so.5
#52 0x00007f600c04e801 in KJob::finishJob(bool) () from /usr/lib64/libKF5CoreAddons.so.5
#53 0x00007f60044f2649 in Akonadi::Job::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0_build/src/core/moc_job.cpp:109
#54 0x00007f600b09751a in QObject::event (this=0x56369885ced0, e=<optimized out>) at kernel/qobject.cpp:1263
#55 0x00007f600b9dfa34 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x56369885ced0, e=0x56369e399800) at kernel/qapplication.cpp:3799
#56 0x00007f600b9e8088 in QApplication::notify (this=0x7ffd38918f30, receiver=0x56369885ced0, e=0x56369e399800) at kernel/qapplication.cpp:3556
#57 0x00007f600b062b70 in QCoreApplication::notifyInternal2 (receiver=0x56369885ced0, event=event@entry=0x56369e399800) at kernel/qcoreapplication.cpp:988
#58 0x00007f600b0663c7 in QCoreApplication::sendEvent (event=0x56369e399800, receiver=<optimized out>) at kernel/qcoreapplication.h:231
#59 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x563694e2f0b0) at kernel/qcoreapplication.cpp:1649
#60 0x00007f600b066997 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1503
#61 0x00007f600b0c4996 in postEventSourceDispatch (s=0x563694e6f4d0) at kernel/qeventdispatcher_glib.cpp:276
#62 0x00007f5ffef47ded in g_main_dispatch (context=0x7f5fc80016f0) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3154
#63 g_main_context_dispatch (context=context@entry=0x7f5fc80016f0) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3769
#64 0x00007f5ffef480d8 in g_main_context_iterate (context=context@entry=0x7f5fc80016f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3840
#65 0x00007f5ffef481db in g_main_context_iteration (context=0x7f5fc80016f0, may_block=1) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3901
#66 0x00007f600b0c4db6 in QEventDispatcherGlib::processEvents (this=0x563694e7cc40, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#67 0x00007f600b06087a in QEventLoop::exec (this=this@entry=0x7ffd38918850, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#68 0x00007f600b06a70b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1261
#69 0x0000563693bd4f8b in ?? ()
#70 0x00007f600a4946ec in __libc_start_main (main=0x563693bd3da0, argc=3, argv=0x7ffd38919168, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffd38919158) at libc-start.c:289
#71 0x0000563693bd5789 in _start ()

Reported using DrKonqi
Comment 1 Vincent de Phily 2017-01-02 14:23:25 UTC
And another one. This happens quite reliably at the end of each move. Fortunately, the move itself seems to suceed.

Thread 22 (Thread 0x7fec693a3700 (LWP 6855)):
#0  0x00007feca7d437cd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fec9c731074 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7fec5c003020, timeout=-1, context=0x7fec5c000990) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:4135
#2  g_main_context_iterate (context=context@entry=0x7fec5c000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3835
#3  0x00007fec9c7311db in g_main_context_iteration (context=0x7fec5c000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3901
#4  0x00007feca88addcc in QEventDispatcherGlib::processEvents (this=0x7fec5c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007feca884987a in QEventLoop::exec (this=this@entry=0x7fec693a2d80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007feca864d283 in QThread::exec (this=this@entry=0x7fecaabdd2c0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:507
#7  0x00007fecaab558d3 in QDBusConnectionManager::run (this=0x7fecaabdd2c0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#8  0x00007feca8653e2c in QThreadPrivate::start (arg=0x7fecaabdd2c0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:368
#9  0x00007fec9e351560 in start_thread (arg=0x7fec693a3700) at pthread_create.c:334
#10 0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 21 (Thread 0x7fec63fff700 (LWP 6856)):
#0  0x00007fec9c784c91 in g_mutex_lock (mutex=mutex@entry=0x7fec58000990) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gthread-posix.c:1333
#1  0x00007fec9c730a74 in g_main_context_check (context=context@entry=0x7fec58000990, max_priority=2147483647, fds=fds@entry=0x7fec58002e70, n_fds=n_fds@entry=1) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3683
#2  0x00007fec9c731018 in g_main_context_iterate (context=context@entry=0x7fec58000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3837
#3  0x00007fec9c7311db in g_main_context_iteration (context=0x7fec58000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3901
#4  0x00007feca88addcc in QEventDispatcherGlib::processEvents (this=0x7fec580008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007feca884987a in QEventLoop::exec (this=this@entry=0x7fec63ffedc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007feca864d283 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007feca8653e2c in QThreadPrivate::start (arg=0x55559fd1fae0) at thread/qthread_unix.cpp:368
#8  0x00007fec9e351560 in start_thread (arg=0x7fec63fff700) at pthread_create.c:334
#9  0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 20 (Thread 0x7fec637fe700 (LWP 6857)):
#0  g_main_context_iterate (context=context@entry=0x7fec50000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3809
#1  0x00007fec9c7311db in g_main_context_iteration (context=0x7fec50000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3901
#2  0x00007feca88addcc in QEventDispatcherGlib::processEvents (this=0x7fec500008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#3  0x00007feca884987a in QEventLoop::exec (this=this@entry=0x7fec637fddc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#4  0x00007feca864d283 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#5  0x00007feca8653e2c in QThreadPrivate::start (arg=0x55559fdafaf0) at thread/qthread_unix.cpp:368
#6  0x00007fec9e351560 in start_thread (arg=0x7fec637fe700) at pthread_create.c:334
#7  0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 19 (Thread 0x7fec62ffd700 (LWP 6858)):
#0  0x00007feca7d437cd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fec9c731074 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7fec54072090, timeout=-1, context=0x7fec54000990) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:4135
#2  g_main_context_iterate (context=context@entry=0x7fec54000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3835
#3  0x00007fec9c7311db in g_main_context_iteration (context=0x7fec54000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3901
#4  0x00007feca88addcc in QEventDispatcherGlib::processEvents (this=0x7fec540008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007feca884987a in QEventLoop::exec (this=this@entry=0x7fec62ffcdc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007feca864d283 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007feca8653e2c in QThreadPrivate::start (arg=0x55559fd7d8c0) at thread/qthread_unix.cpp:368
#8  0x00007fec9e351560 in start_thread (arg=0x7fec62ffd700) at pthread_create.c:334
#9  0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 18 (Thread 0x7fec4e3a2700 (LWP 6869)):
#0  0x00007feca7d3f69d in write () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007feca7cd46d7 in _IO_new_file_write (f=0x7feca7fff5c0 <_IO_2_1_stderr_>, data=0x7fec4e39eb90, n=39) at fileops.c:1263
#2  0x00007feca7cd3ca6 in new_do_write (fp=fp@entry=0x7feca7fff5c0 <_IO_2_1_stderr_>, data=data@entry=0x7fec4e39eb90 "[warn] epoll_wait: Bad file descriptor\n", to_do=to_do@entry=39) at fileops.c:518
#3  0x00007feca7cd4d46 in _IO_new_file_xsputn (f=0x7feca7fff5c0 <_IO_2_1_stderr_>, data=<optimized out>, n=39) at fileops.c:1342
#4  0x00007feca7ca81cf in buffered_vfprintf (s=0x7feca7fff5c0 <_IO_2_1_stderr_>, format=<optimized out>, args=<optimized out>) at vfprintf.c:2367
#5  0x00007feca7ca5325 in _IO_vfprintf_internal (s=s@entry=0x7feca7fff5c0 <_IO_2_1_stderr_>, format=format@entry=0x7fec81590531 "[%s] %s\n", ap=ap@entry=0x7fec4e3a1148) at vfprintf.c:1292
#6  0x00007feca7d5bd97 in ___fprintf_chk (fp=0x7feca7fff5c0 <_IO_2_1_stderr_>, flag=flag@entry=1, format=format@entry=0x7fec81590531 "[%s] %s\n") at fprintf_chk.c:35
#7  0x00007fec815731af in fprintf (__fmt=0x7fec81590531 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:97
#8  event_log (msg=0x7fec4e3a1230 "epoll_wait: Bad file descriptor", severity=2) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:222
#9  _warn_helper (severity=severity@entry=2, errstr=0x7feca7dc9777 "Bad file descriptor", fmt=fmt@entry=0x7fec81590e2a "epoll_wait", ap=ap@entry=0x7fec4e3a1660) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:187
#10 0x00007fec81573428 in event_warn (fmt=fmt@entry=0x7fec81590e2a "epoll_wait") at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:101
#11 0x00007fec81578938 in epoll_dispatch (base=0x7fec440019c0, tv=<optimized out>) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/epoll.c:413
#12 0x00007fec8155e7c8 in event_base_loop (base=0x7fec440019c0, flags=2) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/event.c:1625
#13 0x00007fec8ff4042e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007fec8ff7e318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007fec8ff9f518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007fec8ff7ae0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#17 0x00007fec8ffc678a in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#18 0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#19 0x00007fec9e351560 in start_thread (arg=0x7fec4e3a2700) at pthread_create.c:334
#20 0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7fec4dba1700 (LWP 6870)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fec8ffb3702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fec8ffb4cb9 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fec8ffb4dc5 in base::WaitableEvent::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fec8ff814c1 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fec8ff7e318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fec8ff9f518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fec8ff7ae0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fec8ffc678a in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fec9e351560 in start_thread (arg=0x7fec4dba1700) at pthread_create.c:334
#11 0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7fec4d3a0700 (LWP 6871)):
#0  pthread_cond_timedwait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007fec8ffb3960 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fec8ffca442 in base::PosixDynamicThreadPool::WaitForTask() () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fec8ffcaa8a in base::(anonymous namespace)::WorkerThread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fec9e351560 in start_thread (arg=0x7fec4d3a0700) at pthread_create.c:334
#6  0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7fec4cb9f700 (LWP 6872)):
#0  pthread_cond_timedwait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007fec8ffb3960 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fec8ffca442 in base::PosixDynamicThreadPool::WaitForTask() () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fec8ffcaa8a in base::(anonymous namespace)::WorkerThread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fec9e351560 in start_thread (arg=0x7fec4cb9f700) at pthread_create.c:334
#6  0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7fec37fff700 (LWP 6873)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fec8ffb3702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fec8ffb4cb9 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fec8ffb4dc5 in base::WaitableEvent::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fec8ff814c1 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fec8ff7e318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fec8ff9f518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fec8ff7ae0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fec8ec7edc1 in content::BrowserThreadImpl::DBThreadRun(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fec8ec7f1cb in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fec8ffc6910 in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007fec9e351560 in start_thread (arg=0x7fec37fff700) at pthread_create.c:334
#13 0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7fec377fe700 (LWP 6874)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007feca7d5bd3a in ___fprintf_chk (fp=0x7feca80008e0 <_IO_stdfile_2_lock>, flag=flag@entry=1, format=format@entry=0x7fec81590531 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007fec815731af in fprintf (__fmt=0x7fec81590531 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:97
#3  event_log (msg=0x7fec377fcee0 "epoll_wait: Bad file descriptor", severity=2) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:222
#4  _warn_helper (severity=severity@entry=2, errstr=0x7feca7dc9777 "Bad file descriptor", fmt=fmt@entry=0x7fec81590e2a "epoll_wait", ap=ap@entry=0x7fec377fd310) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:187
#5  0x00007fec81573428 in event_warn (fmt=fmt@entry=0x7fec81590e2a "epoll_wait") at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:101
#6  0x00007fec81578938 in epoll_dispatch (base=0x7fec240019c0, tv=<optimized out>) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/epoll.c:413
#7  0x00007fec8155e7c8 in event_base_loop (base=0x7fec240019c0, flags=1) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/event.c:1625
#8  0x00007fec8ff404b9 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fec8ff7e318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fec8ff9f518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007fec8ff7ae0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007fec8ec7ee51 in content::BrowserThreadImpl::FileThreadRun(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007fec8ec7f1db in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007fec8ffc6910 in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007fec9e351560 in start_thread (arg=0x7fec377fe700) at pthread_create.c:334
#17 0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7fec36ffd700 (LWP 6875)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fec8ffb3702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fec8ffb4cb9 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fec8ffb4dc5 in base::WaitableEvent::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fec8ff814c1 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fec8ff7e318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fec8ff9f518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fec8ff7ae0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fec8ec7eee1 in content::BrowserThreadImpl::FileUserBlockingThreadRun(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fec8ec7f1eb in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fec8ffc6910 in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007fec9e351560 in start_thread (arg=0x7fec36ffd700) at pthread_create.c:334
#13 0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7fec367fc700 (LWP 6876)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fec8ffb3702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fec8ffb4cb9 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fec8ffb4dc5 in base::WaitableEvent::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fec8ff814c1 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fec8ff7e318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fec8ff9f518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fec8ff7ae0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fec8ec7ef71 in content::BrowserThreadImpl::ProcessLauncherThreadRun(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fec8ec7f1fb in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fec8ffc6910 in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007fec9e351560 in start_thread (arg=0x7fec367fc700) at pthread_create.c:334
#13 0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7fec35ffb700 (LWP 6877)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007feca7d5bd3a in ___fprintf_chk (fp=0x7feca80008e0 <_IO_stdfile_2_lock>, flag=flag@entry=1, format=format@entry=0x7fec81590531 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007fec815731af in fprintf (__fmt=0x7fec81590531 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:97
#3  event_log (msg=0x7fec35ff9ee0 "epoll_wait: Bad file descriptor", severity=2) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:222
#4  _warn_helper (severity=severity@entry=2, errstr=0x7feca7dc9777 "Bad file descriptor", fmt=fmt@entry=0x7fec81590e2a "epoll_wait", ap=ap@entry=0x7fec35ffa310) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:187
#5  0x00007fec81573428 in event_warn (fmt=fmt@entry=0x7fec81590e2a "epoll_wait") at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:101
#6  0x00007fec81578938 in epoll_dispatch (base=0x7fec200019c0, tv=<optimized out>) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/epoll.c:413
#7  0x00007fec8155e7c8 in event_base_loop (base=0x7fec200019c0, flags=1) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/event.c:1625
#8  0x00007fec8ff404b9 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fec8ff7e318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fec8ff9f518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007fec8ff7ae0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007fec8ec7f001 in content::BrowserThreadImpl::CacheThreadRun(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007fec8ec7f20b in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007fec8ffc6910 in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007fec9e351560 in start_thread (arg=0x7fec35ffb700) at pthread_create.c:334
#17 0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7fec357fa700 (LWP 6878)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007feca7d5bd3a in ___fprintf_chk (fp=0x7feca80008e0 <_IO_stdfile_2_lock>, flag=flag@entry=1, format=format@entry=0x7fec81590531 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007fec815731af in fprintf (__fmt=0x7fec81590531 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:97
#3  event_log (msg=0x7fec357f8ee0 "epoll_wait: Bad file descriptor", severity=2) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:222
#4  _warn_helper (severity=severity@entry=2, errstr=0x7feca7dc9777 "Bad file descriptor", fmt=fmt@entry=0x7fec81590e2a "epoll_wait", ap=ap@entry=0x7fec357f9310) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:187
#5  0x00007fec81573428 in event_warn (fmt=fmt@entry=0x7fec81590e2a "epoll_wait") at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/log.c:101
#6  0x00007fec81578938 in epoll_dispatch (base=0x7fec140019b0, tv=<optimized out>) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/epoll.c:413
#7  0x00007fec8155e7c8 in event_base_loop (base=0x7fec140019b0, flags=2) at /var/tmp/portage/dev-libs/libevent-2.0.22/work/libevent-2.0.22-stable/event.c:1625
#8  0x00007fec8ff4042e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fec8ff7e318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fec8ff9f518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007fec8ff7ae0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007fec8ec7f091 in content::BrowserThreadImpl::IOThreadRun(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007fec8ec7f1ab in content::BrowserThreadImpl::Run(base::MessageLoop*) () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007fec8ffc6910 in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007fec9e351560 in start_thread (arg=0x7fec357fa700) at pthread_create.c:334
#17 0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7fec34ff9700 (LWP 6879)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fec8ffb3702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fec8ffb4cb9 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fec8ffb4dc5 in base::WaitableEvent::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fec8ff814c1 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fec8ff7e318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fec8ff9f518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fec8ff7ae0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fec8ffc678a in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fec9e351560 in start_thread (arg=0x7fec34ff9700) at pthread_create.c:334
#11 0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7fec13fff700 (LWP 6880)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fec8ffb3702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fec8f1c686d in cc::SingleThreadTaskGraphRunner::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fec8ffc4909 in base::DelegateSimpleThread::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fec8ffc487f in base::SimpleThread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fec9e351560 in start_thread (arg=0x7fec13fff700) at pthread_create.c:334
#7  0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7fec137fe700 (LWP 6881)):
#0  pthread_cond_timedwait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007fec8ffb3960 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fec8ffb4d81 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fec8ff81552 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fec8ff7e318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fec8ff9f518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fec8ff7ae0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fec8ffc678a in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fec9e351560 in start_thread (arg=0x7fec137fe700) at pthread_create.c:334
#10 0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7fec12ffd700 (LWP 6882)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fec8ffb3702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fec8ffc30c5 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fec8ffc3ac9 in base::SequencedWorkerPool::Worker::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fec8ffc487f in base::SimpleThread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fec9e351560 in start_thread (arg=0x7fec12ffd700) at pthread_create.c:334
#7  0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7fec127fc700 (LWP 6883)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fec8ffb3702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fec8f999298 in mojo::system::Waiter::Wait(unsigned long, unsigned long*) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fec8f96c8f1 in mojo::system::Core::WaitManyInternal(unsigned int const*, unsigned int const*, unsigned int, unsigned long, unsigned int*, mojo::system::HandleSignalsState*) () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fec8f96cbba in mojo::system::Core::Wait(unsigned int, unsigned int, unsigned long, mojo::system::UserPointer<MojoHandleSignalsState>) () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fec8f966209 in MojoWait () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fec9153ff97 in mojo::common::MessagePumpMojo::WaitForReadyHandles(mojo::common::MessagePumpMojo::RunState const&) const () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fec915421b3 in mojo::common::MessagePumpMojo::DoInternalWork(mojo::common::MessagePumpMojo::RunState const&, bool) () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fec91542205 in mojo::common::MessagePumpMojo::DoRunLoop(mojo::common::MessagePumpMojo::RunState*, base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fec91542306 in mojo::common::MessagePumpMojo::Run(base::MessagePump::Delegate*) () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fec8ff7e318 in base::MessageLoop::RunHandler() () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007fec8ff9f518 in base::RunLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007fec8ff7ae0e in base::MessageLoop::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007fec8ffc678a in base::Thread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007fec9e351560 in start_thread (arg=0x7fec127fc700) at pthread_create.c:334
#16 0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7febf9ccf700 (LWP 6903)):
#0  g_private_get (key=key@entry=0x7fec9ca07480 <g_thread_specific_private>) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gthread-posix.c:1052
#1  0x00007fec9c76083f in g_thread_self () at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gthread.c:978
#2  0x00007fec9c7311cc in g_main_context_iteration (context=0x7febf4000990, may_block=1) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3901
#3  0x00007feca88addcc in QEventDispatcherGlib::processEvents (this=0x7febf40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#4  0x00007feca884987a in QEventLoop::exec (this=this@entry=0x7febf9ccedc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007feca864d283 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:507
#6  0x00007feca8653e2c in QThreadPrivate::start (arg=0x5555a15643f0) at thread/qthread_unix.cpp:368
#7  0x00007fec9e351560 in start_thread (arg=0x7febf9ccf700) at pthread_create.c:334
#8  0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7feb73fff700 (LWP 6916)):
#0  pthread_cond_wait () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fec8ffb3702 in base::ConditionVariable::Wait() () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fec8ffc30c5 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fec8ffc3ac9 in base::SequencedWorkerPool::Worker::Run() () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fec8ffc487f in base::SimpleThread::ThreadMain() () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fec8ffbf679 in base::(anonymous namespace)::ThreadFunc(void*) () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fec9e351560 in start_thread (arg=0x7feb73fff700) at pthread_create.c:334
#7  0x00007feca7d4d32d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7fec6e4fd800 (LWP 6853)):
[KCrash Handler]
#6  0x00007feca7c90f57 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#7  0x00007feca7c924aa in __GI_abort () at abort.c:89
#8  0x00007feca8635945 in qt_message_fatal (context=..., message=<synthetic pointer>) at global/qlogging.cpp:1682
#9  QMessageLogger::fatal (this=this@entry=0x7fff5d967b40, msg=msg@entry=0x7feca89126a8 "ASSERT: \"%s\" in file %s, line %d") at global/qlogging.cpp:793
#10 0x00007feca862d693 in qt_assert (assertion=assertion@entry=0x7feca8917b80 "!\"QSortFilterProxyModel: index from wrong model passed to mapFromSource\"", file=file@entry=0x7feca89179c0 "itemmodels/qsortfilterproxymodel.cpp", line=line@entry=398) at global/qglobal.cpp:3081
#11 0x00007feca88154a9 in QSortFilterProxyModelPrivate::source_to_proxy (this=0x55559fdc32f0, source_index=...) at itemmodels/qsortfilterproxymodel.cpp:398
#12 0x00007feca881642e in QSortFilterProxyModel::mapFromSource (sourceIndex=..., this=<optimized out>) at itemmodels/qsortfilterproxymodel.cpp:2770
#13 QSortFilterProxyModel::parent (this=<optimized out>, child=...) at itemmodels/qsortfilterproxymodel.cpp:1901
#14 0x00007feca880bbc8 in QModelIndex::parent (this=0x7fff5d967c30) at ../../include/QtCore/../../src/corelib/itemmodels/qabstractitemmodel.h:417
#15 QIdentityProxyModel::parent (this=0x55559ff7e9c0, child=...) at itemmodels/qidentityproxymodel.cpp:293
#16 0x00007feca880bbc8 in QModelIndex::parent (this=0x7fff5d967ca0) at ../../include/QtCore/../../src/corelib/itemmodels/qabstractitemmodel.h:417
#17 QIdentityProxyModel::parent (this=0x55559ff7e990, child=...) at itemmodels/qidentityproxymodel.cpp:293
#18 0x00007feca16e9a76 in KExtraColumnsProxyModel::parent(QModelIndex const&) const () from /usr/lib64/libKF5ItemModels.so.5
#19 0x00007feca8816ee4 in QModelIndex::parent (this=0x7fff5d967da0) at ../../include/QtCore/../../src/corelib/itemmodels/qabstractitemmodel.h:417
#20 QSortFilterProxyModelPrivate::update_persistent_indexes (this=this@entry=0x55559ff1d1a0, source_indexes=...) at itemmodels/qsortfilterproxymodel.cpp:1047
#21 0x00007feca8817498 in QSortFilterProxyModelPrivate::_q_sourceLayoutChanged (this=0x55559ff1d1a0, sourceParents=..., hint=<optimized out>) at itemmodels/qsortfilterproxymodel.cpp:1367
#22 0x00007feca881bee4 in QSortFilterProxyModel::qt_static_metacall (_o=0x55559ff17ab0, _c=<optimized out>, _id=10, _a=0x7fff5d968020) at .moc/moc_qsortfilterproxymodel.cpp:208
#23 0x00007feca887eb42 in QMetaObject::activate (sender=0x55559ff7e990, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff5d968020) at kernel/qobject.cpp:3740
#24 0x00007feca887f61e in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7feca8ad03c0 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff5d968020) at kernel/qobject.cpp:3602
#25 0x00007feca8909f55 in QAbstractItemModel::layoutChanged (this=<optimized out>, _t1=..., _t2=QAbstractItemModel::NoLayoutChangeHint) at .moc/moc_qabstractitemmodel.cpp:581
#26 0x00007feca16e9201 in ?? () from /usr/lib64/libKF5ItemModels.so.5
#27 0x00007feca16e93b3 in ?? () from /usr/lib64/libKF5ItemModels.so.5
#28 0x00007feca887eb42 in QMetaObject::activate (sender=sender@entry=0x55559ff7e9c0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff5d9682c0) at kernel/qobject.cpp:3740
#29 0x00007feca887f61e in QMetaObject::activate (sender=sender@entry=0x55559ff7e9c0, m=m@entry=0x7feca8ad03c0 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff5d9682c0) at kernel/qobject.cpp:3602
#30 0x00007feca8909f55 in QAbstractItemModel::layoutChanged (this=this@entry=0x55559ff7e9c0, _t1=..., _t2=_t2@entry=QAbstractItemModel::NoLayoutChangeHint) at .moc/moc_qabstractitemmodel.cpp:581
#31 0x00007feca880d817 in QIdentityProxyModelPrivate::_q_sourceLayoutChanged (this=<optimized out>, sourceParents=..., hint=QAbstractItemModel::NoLayoutChangeHint) at itemmodels/qidentityproxymodel.cpp:546
#32 0x00007feca880de33 in QIdentityProxyModel::qt_static_metacall (_o=0x55559ff7e9c0, _c=<optimized out>, _id=15, _a=0x7fff5d9684f0) at .moc/moc_qidentityproxymodel.cpp:164
#33 0x00007feca887eb42 in QMetaObject::activate (sender=sender@entry=0x55559fd34120, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff5d9684f0) at kernel/qobject.cpp:3740
#34 0x00007feca887f61e in QMetaObject::activate (sender=sender@entry=0x55559fd34120, m=m@entry=0x7feca8ad03c0 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff5d9684f0) at kernel/qobject.cpp:3602
#35 0x00007feca8909f55 in QAbstractItemModel::layoutChanged (this=this@entry=0x55559fd34120, _t1=..., _t2=_t2@entry=QAbstractItemModel::NoLayoutChangeHint) at .moc/moc_qabstractitemmodel.cpp:581
#36 0x00007feca881784c in QSortFilterProxyModelPrivate::_q_sourceRowsMoved (this=0x55559fdc32f0, sourceParent=..., destParent=...) at itemmodels/qsortfilterproxymodel.cpp:1472
#37 0x00007feca881bfc5 in QSortFilterProxyModel::qt_static_metacall (_o=0x55559fd34120, _c=<optimized out>, _id=16, _a=0x7fff5d968710) at .moc/moc_qsortfilterproxymodel.cpp:214
#38 0x00007feca887eb42 in QMetaObject::activate (sender=sender@entry=0x55559fd269d0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=20, argv=argv@entry=0x7fff5d968710) at kernel/qobject.cpp:3740
#39 0x00007feca887f61e in QMetaObject::activate (sender=sender@entry=0x55559fd269d0, m=m@entry=0x7feca8ad03c0 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=20, argv=argv@entry=0x7fff5d968710) at kernel/qobject.cpp:3602
#40 0x00007feca890a5a1 in QAbstractItemModel::rowsMoved (this=this@entry=0x55559fd269d0, _t1=..., _t2=_t2@entry=3, _t3=_t3@entry=3, _t4=..., _t5=_t5@entry=0) at .moc/moc_qabstractitemmodel.cpp:670
#41 0x00007feca87f1ffb in QAbstractItemModel::endMoveRows (this=this@entry=0x55559fd269d0) at itemmodels/qabstractitemmodel.cpp:2895
#42 0x00007feca1d2e984 in Akonadi::EntityTreeModelPrivate::monitoredCollectionMoved (this=0x55559fdc01a0, collection=..., sourceCollection=..., destCollection=...) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/models/entitytreemodel_p.cpp:991
#43 0x00007feca887eb42 in QMetaObject::activate (sender=0x55559fd5d470, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=16, argv=argv@entry=0x7fff5d968a40) at kernel/qobject.cpp:3740
#44 0x00007feca887f61e in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7feca1fcd5c0 <Akonadi::Monitor::staticMetaObject>, local_signal_index=local_signal_index@entry=16, argv=argv@entry=0x7fff5d968a40) at kernel/qobject.cpp:3602
#45 0x00007feca1c46dae in Akonadi::Monitor::collectionMoved (this=<optimized out>, _t1=..., _t2=..., _t3=...) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0_build/src/core/moc_monitor.cpp:1010
#46 0x00007feca1c4fd66 in Akonadi::MonitorPrivate::emitCollectionNotification (this=this@entry=0x55559fdbfd10, msg=..., col=..., par=..., dest=...) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/monitor_p.cpp:1137
#47 0x00007feca1c5671c in Akonadi::MonitorPrivate::emitNotification (this=this@entry=0x55559fdbfd10, msg=...) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/monitor_p.cpp:493
#48 0x00007feca1bf758d in Akonadi::ChangeRecorderPrivate::emitNotification (this=0x55559fdbfd10, msg=...) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/changerecorder_p.cpp:362
#49 0x00007feca1c544bb in Akonadi::MonitorPrivate::flushPipeline (this=this@entry=0x55559fdbfd10) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/monitor_p.cpp:873
#50 0x00007feca1c5476c in Akonadi::MonitorPrivate::dataAvailable (this=0x55559fdbfd10) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/monitor_p.cpp:882
#51 0x00007feca887eb42 in QMetaObject::activate (sender=sender@entry=0x55559fdc51d0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3740
#52 0x00007feca887f61e in QMetaObject::activate (sender=sender@entry=0x55559fdc51d0, m=m@entry=0x7feca1fccbc0 <Akonadi::EntityCacheBase::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3602
#53 0x00007feca1c22d67 in Akonadi::EntityCacheBase::dataAvailable (this=this@entry=0x55559fdc51d0) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0_build/src/core/moc_entitycache_p.cpp:147
#54 0x00007feca1be96cd in Akonadi::EntityCache<Akonadi::Collection, Akonadi::CollectionFetchJob, Akonadi::CollectionFetchScope>::processResult (this=0x55559fdc51d0, job=<optimized out>) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0/src/core/entitycache_p.h:215
#55 0x00007feca1c22db3 in Akonadi::EntityCacheBase::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0_build/src/core/moc_entitycache_p.cpp:81
#56 0x00007feca887eb42 in QMetaObject::activate (sender=0x5555a145fce0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff5d969080) at kernel/qobject.cpp:3740
#57 0x00007feca9835aa1 in KJob::result(KJob*, KJob::QPrivateSignal) () from /usr/lib64/libKF5CoreAddons.so.5
#58 0x00007feca9837801 in KJob::finishJob(bool) () from /usr/lib64/libKF5CoreAddons.so.5
#59 0x00007feca1cdb649 in Akonadi::Job::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /var/tmp/portage/kde-apps/akonadi-16.12.0/work/akonadi-16.12.0_build/src/core/moc_job.cpp:109
#60 0x00007feca888051a in QObject::event (this=0x5555a145fce0, e=<optimized out>) at kernel/qobject.cpp:1263
#61 0x00007feca91c8a34 in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x5555a145fce0, e=0x5555a3a567a0) at kernel/qapplication.cpp:3799
#62 0x00007feca91d1088 in QApplication::notify (this=0x7fff5d969ef0, receiver=0x5555a145fce0, e=0x5555a3a567a0) at kernel/qapplication.cpp:3556
#63 0x00007feca884bb70 in QCoreApplication::notifyInternal2 (receiver=0x5555a145fce0, event=event@entry=0x5555a3a567a0) at kernel/qcoreapplication.cpp:988
#64 0x00007feca884f3c7 in QCoreApplication::sendEvent (event=0x5555a3a567a0, receiver=<optimized out>) at kernel/qcoreapplication.h:231
#65 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x55559f96a0b0) at kernel/qcoreapplication.cpp:1649
#66 0x00007feca884f997 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1503
#67 0x00007feca88ad996 in postEventSourceDispatch (s=0x55559f9a59c0) at kernel/qeventdispatcher_glib.cpp:276
#68 0x00007fec9c730ded in g_main_dispatch (context=0x7fec640016f0) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3154
#69 g_main_context_dispatch (context=context@entry=0x7fec640016f0) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3769
#70 0x00007fec9c7310d8 in g_main_context_iterate (context=context@entry=0x7fec640016f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3840
#71 0x00007fec9c7311db in g_main_context_iteration (context=0x7fec640016f0, may_block=1) at /var/tmp/portage/dev-libs/glib-2.48.2/work/glib-2.48.2/glib/gmain.c:3901
#72 0x00007feca88addb6 in QEventDispatcherGlib::processEvents (this=0x55559f9b6fc0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#73 0x00007feca884987a in QEventLoop::exec (this=this@entry=0x7fff5d969810, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#74 0x00007feca885370b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1261
#75 0x000055559ec0ff8b in ?? ()
#76 0x00007feca7c7d6ec in __libc_start_main (main=0x55559ec0eda0, argc=1, argv=0x7fff5d96a128, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff5d96a118) at libc-start.c:289
#77 0x000055559ec10789 in _start ()
Comment 2 Christoph Feck 2017-04-26 20:46:22 UTC
*** Bug 354219 has been marked as a duplicate of this bug. ***
Comment 3 Christoph Feck 2017-04-26 20:46:37 UTC
*** Bug 358927 has been marked as a duplicate of this bug. ***
Comment 4 Christoph Feck 2017-04-26 20:47:03 UTC
*** Bug 365364 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2017-04-26 20:47:28 UTC
*** Bug 367560 has been marked as a duplicate of this bug. ***
Comment 6 Christoph Feck 2017-04-26 20:48:05 UTC
*** Bug 373145 has been marked as a duplicate of this bug. ***
Comment 7 Christoph Feck 2017-04-26 20:48:28 UTC
*** Bug 355949 has been marked as a duplicate of this bug. ***
Comment 8 Christoph Feck 2017-04-26 20:49:07 UTC
*** Bug 356979 has been marked as a duplicate of this bug. ***
Comment 9 Christoph Feck 2017-04-26 20:49:25 UTC
*** Bug 357174 has been marked as a duplicate of this bug. ***
Comment 10 Christoph Feck 2017-04-26 20:49:45 UTC
*** Bug 358851 has been marked as a duplicate of this bug. ***
Comment 11 Christoph Feck 2017-04-26 20:50:10 UTC
*** Bug 360486 has been marked as a duplicate of this bug. ***
Comment 12 Christoph Feck 2017-04-26 20:50:35 UTC
*** Bug 365303 has been marked as a duplicate of this bug. ***
Comment 13 Christoph Feck 2017-04-26 20:50:56 UTC
*** Bug 369440 has been marked as a duplicate of this bug. ***
Comment 14 Christoph Feck 2017-04-26 20:51:22 UTC
*** Bug 378645 has been marked as a duplicate of this bug. ***
Comment 15 Christoph Feck 2017-04-26 20:54:04 UTC
Bug 358851 comment #2 has a valgrind log, showing that already freed model items are referenced, causing (sometimes differing) backtraces after QAbstractItemModel::rowsMoved() signal emitted from Akonadi::EntityTreeModelPrivate::monitoredCollectionMoved().
Comment 16 Christoph Feck 2017-08-23 23:35:19 UTC
*** Bug 383077 has been marked as a duplicate of this bug. ***
Comment 17 Christoph Feck 2017-12-20 15:21:54 UTC
*** Bug 387318 has been marked as a duplicate of this bug. ***
Comment 18 Christoph Feck 2017-12-20 15:22:23 UTC
*** Bug 386692 has been marked as a duplicate of this bug. ***
Comment 19 Christoph Feck 2017-12-20 15:22:45 UTC
*** Bug 383525 has been marked as a duplicate of this bug. ***
Comment 20 SoundFred 2018-02-14 20:32:09 UTC
Created attachment 110668 [details]
New crash information added by DrKonqi

kmail (5.5.2) using Qt 5.6.2

- What I was doing when the application crashed:
first time i moved a folder within KMail (not kontakt) by mouse from one local_mail_dir to another  local_mail_dir .

the oter three times i moved a folder within KMail (not kontakt) by using the kmail-menue "move folder"  from one local_mail_dir to another  local_mail_dir .

-- Backtrace (Reduced):
#6  0x00007fbab5ade6b2 in QSortFilterProxyModel::parent(QModelIndex const&) const () at /usr/lib64/libQt5Core.so.5
#7  0x00007fbab5ada7b7 in QIdentityProxyModel::parent(QModelIndex const&) const () at /usr/lib64/libQt5Core.so.5
#8  0x00007fbab5ada7b7 in QIdentityProxyModel::parent(QModelIndex const&) const () at /usr/lib64/libQt5Core.so.5
#9  0x00007fbaaef1d1dc in KExtraColumnsProxyModel::parent(QModelIndex const&) const () at /usr/lib64/libKF5ItemModels.so.5
#10 0x00007fbab5ae35ec in  () at /usr/lib64/libQt5Core.so.5
Comment 21 Justin Zobel 2020-12-17 05:33:53 UTC
Thank you for the crash report.

As it has been a while since this was reported, can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved.

I have set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved/worksforme" when you respond, thank you.
Comment 22 stakanov.s 2020-12-17 09:23:35 UTC
Works for me in opensuse 15.1

Plasma 5.12.8
Frameworks 5.55.0
QT 5.9.7
Comment 23 Don Curtis 2020-12-17 11:36:21 UTC
(In reply to Justin Zobel from comment #21)
> As it has been a while since this was reported, can you please test and
> confirm if this issue is still occurring or if this bug report can be marked
> as resolved.

Replying with respect to my duplicate Bug Report 383525 -
Kontact (kontact), signal: Segmentation fault -- Akonadi::EntityTreeModel::parent(QModelIndex const&) const ()

I have seen similar crashes on this, new, system while recovering my KMail Folders - there are possibly some more recent Bug Reports reporting this - I'll try to dig them out -
 > kmail --version
kmail2 5.14.2 (20.04.2)
 > plasmashell --version
plasmashell 5.18.6
 > kf5-config --version
Qt: 5.12.7
KDE Frameworks: 5.71.0
kf5-config: 1.0
 >
Comment 24 Don Curtis 2020-12-17 11:46:20 UTC
(In reply to Don Curtis from comment #23)
> I have seen similar crashes on this, new, system while recovering my KMail
> Folders - there are possibly some more recent Bug Reports reporting this -
> I'll try to dig them out -

My wish to apologise - the crashes I've recently reported due a segmentation fault and an abort, do not seem to be related to this issue.
 Bug Reports 425936 & 426863.

Maybe my memory is failing - old age - really - born 1949 . . .
Comment 25 Richard Johnson 2020-12-17 16:20:43 UTC
Latest tests:
* December 2020
* kubuntu 20.04  
* Kmail 5.13.3 -- not sure of QT version (but it's the default)
* Using postgresql (moved from mysql because of repeated table corruption)

Opened a maildir that was not the default ~/.local/share/local-mail, attempted to move folders.

1. Unable to select more than one folder at a time to move.  (Not sure it's a bug.)

2. Moved a few folders, and then akonadi crashed.  This requires a kill and restart of both kmail and akonadi in order to recover.  It is repeatable.

I have not been able to get a good stack trace on it yet, but suspect that moving large directory trees risks either a buffer overflow or a race condition.